Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012025ScribusImport / Exportpublic2014-01-30 08:082014-02-08 21:20
Reporterchristoph_s 
Assigned Tofschmid 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSOpenSUSE 64 BitOS Version13.1
Product Version1.5.0svn 
Target Version1.5.0Fixed in Version1.5.0svn 
Summary0012025: SVG import crashes Scribus
DescriptionTrying to open/import the file http://upload.wikimedia.org/wikipedia/commons/f/fa/Verwaltung_Leipzig.svg [^] results in a sig 6 crash. The crash already occurs if the preview in a file dialog is activated, and of course it also happens when the Picture Browser tries to render the file preview.

1.4.3 can open the file (albeit wrongly) but crashes with sig 11 when I try to import it.
Additional InformationASSERT failure in QVector<T>::at: "index out of range", file /usr/include/qt5/QtCore/qvector.h, line 350

Program received signal SIGABRT, Aborted.
0x00007fffeed80849 in raise () from /lib64/libc.so.6
(gdb) bt
#0 0x00007fffeed80849 in raise () from /lib64/libc.so.6
0000001 0x00007fffeed81cd8 in abort () from /lib64/libc.so.6
0000002 0x00007ffff752a455 in QMessageLogger::fatal(char const*, ...) const () from /usr/lib64/libQt5Core.so.5
0000003 0x00007ffff7527367 in qt_assert_x(char const*, char const*, char const*, int) ()
   from /usr/lib64/libQt5Core.so.5
0000004 0x00000000008ade57 in QVector<FPoint>::at (this=0x4458940, i=-2) at /usr/include/qt5/QtCore/qvector.h:350
0000005 0x00000000008ad0d8 in FPointArray::point (this=0x4458940, i=-2)
    at /home/christoph/scribus15/Scribus/scribus/fpointarray.h:57
0000006 0x0000000000a6676d in PageItem_PolyLine::DrawObj_Item (this=0x4458770, p=0x3b13020)
    at /home/christoph/scribus15/Scribus/scribus/pageitem_polyline.cpp:74
0000007 0x00000000009f6ee6 in PageItem::DrawObj (this=0x4458770, p=0x3b13020, cullingArea=...)
    at /home/christoph/scribus15/Scribus/scribus/pageitem.cpp:1629
0000008 0x0000000000a53175 in PageItem_Group::DrawObj_Item (this=0x3de9660, p=0x3b13020)
    at /home/christoph/scribus15/Scribus/scribus/pageitem_group.cpp:201
0000009 0x00000000009f6ee6 in PageItem::DrawObj (this=0x3de9660, p=0x3b13020, cullingArea=...)
    at /home/christoph/scribus15/Scribus/scribus/pageitem.cpp:1629
0000010 0x00000000008a3aa4 in Canvas::DrawPageItems (this=0x30f61e0, painter=0x3b13020, layer=..., clip=...,
    notesFramesPass=false) at /home/christoph/scribus15/Scribus/scribus/canvas.cpp:1548
0000011 0x00000000008a0aea in Canvas::drawContents (this=0x30f61e0, psx=0x7fffffff9e40, clipx=120, clipy=13,
    clipw=969, cliph=695) at /home/christoph/scribus15/Scribus/scribus/canvas.cpp:1050
0000012 0x000000000089fb2f in Canvas::fillBuffer (this=0x30f61e0, buffer=0x30f6258, bufferOrigin=..., clipRect=...)
    at /home/christoph/scribus15/Scribus/scribus/canvas.cpp:803
0000013 0x000000000089f0d7 in Canvas::adjustBuffer (this=0x30f61e0)
    at /home/christoph/scribus15/Scribus/scribus/canvas.cpp:657
0000014 0x000000000089fbb7 in Canvas::paintEvent (this=0x30f61e0, p=0x7fffffffa430)
    at /home/christoph/scribus15/Scribus/scribus/canvas.cpp:829
0000015 0x00007ffff6e0a471 in QWidget::event(QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000016 0x00007ffff6dd01ec in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /usr/lib64/libQt5Widgets.so.5
0000017 0x00007ffff6dd52d6 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000018 0x00007ffff76af9cd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
0000019 0x00007ffff6e04fb5 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000020 0x00007ffff6e0596c in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000021 0x00007ffff6e04b47 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000022 0x00007ffff6e0596c in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QReg---Type <return> to continue, or q <return> to quit---
ion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000023 0x00007ffff6e057e4 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000024 0x00007ffff6e057e4 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000025 0x00007ffff6e057e4 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000026 0x00007ffff6e057e4 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000027 0x00007ffff6e057e4 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000028 0x00007ffff6e04b47 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000029 0x00007ffff6e0596c in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000030 0x00007ffff6e057e4 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000031 0x00007ffff6e04b47 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000032 0x00007ffff6e0596c in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000033 0x00007ffff6e04b47 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000034 0x00007ffff6e0596c in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000035 0x00007ffff6e04b47 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000036 0x00007ffff6e0596c in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000037 0x00007ffff6e04b47 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000038 0x00007ffff6e0596c in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000039 0x00007ffff6e057e4 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000040 0x00007ffff6e04b47 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQt5Widgets.so.5
0000041 0x00007ffff6ddc263 in ?? () from /usr/lib64/libQt5Widgets.so.5
---Type <return> to continue, or q <return> to quit---
0000042 0x00007ffff6dfb3af in QWidgetPrivate::syncBackingStore() () from /usr/lib64/libQt5Widgets.so.5
0000043 0x00007ffff6e0a286 in QWidget::event(QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000044 0x00007ffff6f1684b in QMainWindow::event(QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000045 0x00007ffff6dd01ec in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /usr/lib64/libQt5Widgets.so.5
0000046 0x00007ffff6dd52d6 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000047 0x00007ffff76af9cd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
0000048 0x00007ffff6ddd3a3 in ?? () from /usr/lib64/libQt5Widgets.so.5
0000049 0x00007ffff6dfb815 in QWidget::repaint(QRect const&) () from /usr/lib64/libQt5Widgets.so.5
0000050 0x00007ffff6dfb8c8 in QWidget::repaint(int, int, int, int) () from /usr/lib64/libQt5Widgets.so.5
0000051 0x0000000000f86233 in Hruler::Draw (this=0x32f04a0, where=956)
    at /home/christoph/scribus15/Scribus/scribus/ui/hruler.cpp:864
0000052 0x0000000000e22b3c in ScribusView::eventFilter (this=0x313fbb0, obj=0x30f61e0, event=0x7fffffffc830)
    at /home/christoph/scribus15/Scribus/scribus/scribusview.cpp:4333
0000053 0x00007ffff76afbf5 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) ()
   from /usr/lib64/libQt5Core.so.5
0000054 0x00007ffff6dd01cc in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /usr/lib64/libQt5Widgets.so.5
0000055 0x00007ffff6dd5b49 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000056 0x00007ffff76af9cd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
0000057 0x00007ffff6dd3e71 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib64/libQt5Widgets.so.5
0000058 0x00007ffff6dd4b50 in QApplicationPrivate::sendSyntheticEnterLeave(QWidget*) ()
   from /usr/lib64/libQt5Widgets.so.5
0000059 0x00007ffff6e098fe in QWidget::setVisible(bool) () from /usr/lib64/libQt5Widgets.so.5
0000060 0x00007ffff6f318b1 in ?? () from /usr/lib64/libQt5Widgets.so.5
0000061 0x00007ffff6f322d2 in QMdiSubWindow::changeEvent(QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000062 0x00007ffff6e09e33 in QWidget::event(QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000063 0x00007ffff6f32d4b in QMdiSubWindow::event(QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000064 0x00007ffff6dd01ec in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /usr/lib64/libQt5Widgets.so.5
0000065 0x00007ffff6dd52d6 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000066 0x00007ffff76af9cd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
0000067 0x00007ffff6e23c2a in QWidget::setWindowState(QFlags<Qt::WindowState>) () from /usr/lib64/libQt5Widgets.so.5
0000068 0x00007ffff6e07591 in QWidget::showMaximized() () from /usr/lib64/libQt5Widgets.so.5
0000069 0x00007ffff6f32b21 in QMdiSubWindow::eventFilter(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#70 0x00007ffff76afbf5 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) ()
   from /usr/lib64/libQt5Core.so.5
---Type <return> to continue, or q <return> to quit---
0000071 0x00007ffff6dd01cc in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /usr/lib64/libQt5Widgets.so.5
0000072 0x00007ffff6dd52d6 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000073 0x00007ffff76af9cd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
0000074 0x00007ffff6e23c2a in QWidget::setWindowState(QFlags<Qt::WindowState>) () from /usr/lib64/libQt5Widgets.so.5
0000075 0x00007ffff6e07591 in QWidget::showMaximized() () from /usr/lib64/libQt5Widgets.so.5
0000076 0x0000000000d0cfb4 in ScribusMainWindow::loadDoc (this=0x1b4f380, fileName=...)
    at /home/christoph/scribus15/Scribus/scribus/scribus.cpp:4378
0000077 0x0000000000cee5d8 in ScribusMainWindow::startUpDialog (this=0x1b4f380)
    at /home/christoph/scribus15/Scribus/scribus/scribus.cpp:1957
0000078 0x0000000000d601de in ScribusCore::startGUI (this=0x1aa8580, showSplash=true, showFontInfo=false,
    showProfileInfo=false, newGuiLanguage=..., prefsUserFile=...)
    at /home/christoph/scribus15/Scribus/scribus/scribuscore.cpp:131
0000079 0x0000000000d5cccc in ScribusQApp::init (this=0x7fffffffdc40)
    at /home/christoph/scribus15/Scribus/scribus/scribusapp.cpp:287
0000080 0x00000000012b5d0b in mainApp (argc=1, argv=0x7fffffffddb8)
    at /home/christoph/scribus15/Scribus/scribus/main_nix.cpp:83
0000081 0x00000000012b5cb0 in main (argc=1, argv=0x7fffffffddb8)
    at /home/christoph/scribus15/Scribus/scribus/main_nix.cpp:54
TagsNo tags attached.
Patch
Attached Files

- Relationships

-  Notes
(0031235)
FirasH (developer)
2014-01-31 16:40

I've tested the file on Scribus 1.5.0 SVN and 1.4.3 SVN, they behave as described by christoph_s.
(0031237)
perosredo (reporter)
2014-02-01 09:15
edited on: 2014-02-01 09:26

Reproduced with http://www.debian.org/logos/openlogo-nd.svg [^] on Fedora 20.

EPS induces crash as well - http://www.debian.org/logos/openlogo-nd.eps [^]

This is using Get Vector File from the Import dialog, but without having a file open - having a file open and trying to import the same files the same way works as expected.

(0031282)
fschmid (administrator)
2014-02-07 23:25

Have fix for this in private svn copy, will committ asap.
(0031284)
christoph_s (administrator)
2014-02-08 21:20

Tested, fixed. Thanks.

- Issue History
Date Modified Username Field Change
2014-01-30 08:08 christoph_s New Issue
2014-01-31 16:40 FirasH Note Added: 0031235
2014-02-01 09:15 perosredo Note Added: 0031237
2014-02-01 09:24 perosredo Note Edited: 0031237 View Revisions
2014-02-01 09:26 perosredo Note Edited: 0031237 View Revisions
2014-02-07 23:25 fschmid Note Added: 0031282
2014-02-08 18:49 fschmid Status new => resolved
2014-02-08 18:49 fschmid Fixed in Version => 1.5.0svn
2014-02-08 18:49 fschmid Resolution open => fixed
2014-02-08 18:49 fschmid Assigned To => fschmid
2014-02-08 21:20 christoph_s Note Added: 0031284
2014-02-08 21:20 christoph_s Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker